Page MenuHomePhabricator

`system domain-name` statement doesn't allow domain names ending in a dot on latest 1.2.0
Closed, ResolvedPublic

Description

In my 1.1.8 deployment the system domain-name statement allowed a domain name ending in a dot (i.e. thus "rooted"), like for example something. (i.e. with a dot . after something.)

However after upgrading to 1.2.0 201904151631 the system fails to properly configure the system name (including the host-name statement). However manually re-configuring the domain-name, it gives a warning about the extra dot.


I would say that the domain-name statement should allow domain names ending in a dot, or if it is considered forbidden, then the migration script should trim that character upon migration.

(I've originally posted this issue on the public forum: https://forum.vyos.io/t/issues-encountered-while-upgrading-from-1-1-8-to-1-2-0-201904151631/3635)

Details

Difficulty level
Unknown (require assessment)
Version
1.2.0 (201904151631)
Why the issue appeared?
Will be filled on close

Event Timeline

ciprian.craciun created this object in space S1 VyOS Public.
ciprian.craciun changed Version from - to 1.2.0 (201904151631).Apr 16 2019, 1:24 PM
c-po claimed this task.Apr 16 2019, 7:56 PM
c-po added a comment.Apr 17 2019, 5:22 AM

This is actually disabllowed by latest Debian/systemd hostnamectl. A migration script is required though.

c-po changed the task status from Open to Needs testing.Apr 20 2019, 1:13 PM
c-po triaged this task as High priority.
c-po moved this task from Need Triage to Finished on the VyOS 1.3 Equuleus board.Apr 20 2019, 1:45 PM
c-po moved this task from Needs Triage to Finished on the VyOS 1.2 Crux (VyOS 1.2.2) board.
c-po closed this task as Resolved.Apr 20 2019, 2:04 PM